Skip to main content
GET
Fetch Downtime by ID

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2025-01-01
required

API version to be used.

Path Parameters

id
string
required

The unique identifier of the downtime.

Response

Success response for fetching a downtime by ID.

incident_id
string

Unique identifier for the incident.

Example:

"incident_20240415091057099071"

incident_impact
enum<string>

Impact level of the incident.

Available options:
HIGH,
MEDIUM,
LOW
Example:

"MEDIUM"

incident_message
string

Description of the issue.

Example:

"Some UPI transactions are failing due to intermittent issues with NPCI."

incident_start_time
string<date-time>

Start time of the incident.

Example:

"2025-04-15T08:00:00Z"

incident_end_time
string<date-time> | null

End time of the incident, if applicable; null if still ongoing.

Example:

"2025-04-16T08:00:00Z"

incident_status
enum<string>

Current status of the incident.

Available options:
ACTIVE,
UPCOMING,
RESOLVED
Example:

"ACTIVE"

incident_type
string

Type of the incident.

Example:

"SCHEDULED"

payment_method
UPI Incident · object

The UPI incident object will show details about the incident affecting UPI payments.

Example: